diff --git a/sim/aarch64/ChangeLog b/sim/aarch64/ChangeLog
index 134a82f..ea7208d 100644
--- a/sim/aarch64/ChangeLog
+++ b/sim/aarch64/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/aarch64/configure b/sim/aarch64/configure
index 52f152e..d92fd06 100755
diff --git a/sim/arm/ChangeLog b/sim/arm/ChangeLog
index f90d727..c92ad02 100644
--- a/sim/arm/ChangeLog
+++ b/sim/arm/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/arm/configure b/sim/arm/configure
index 87674c4..027cd01 100755
diff --git a/sim/avr/ChangeLog b/sim/avr/ChangeLog
index 441a9370..ae5250b 100644
--- a/sim/avr/ChangeLog
+++ b/sim/avr/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/avr/configure b/sim/avr/configure
index 11b8fb5..70910ca 100755
diff --git a/sim/bfin/ChangeLog b/sim/bfin/ChangeLog
index 29e26e1..356d9ca 100644
--- a/sim/bfin/ChangeLog
+++ b/sim/bfin/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/bfin/configure b/sim/bfin/configure
index e88168c..3fc5195 100755
diff --git a/sim/common/ChangeLog b/sim/common/ChangeLog
index 42f3767..27ca374 100644
--- a/sim/common/ChangeLog
+++ b/sim/common/ChangeLog
@@ -1,3 +1,10 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* acinclude.m4: Delete --enable-sim-cflags and sim_cflags.
+	* Make-common.in (SIM_CFLAGS): Delete.
+	(CONFIG_CFLAGS): Delete $(SIM_CFLAGS).
+	* Makefile.in: Likewise.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* configure.ac: Change SIM_AC_COMMON to AC_PROG_CC.  Drop 2nd arg
diff --git a/sim/common/Make-common.in b/sim/common/Make-common.in
index 30844cc..a90d3d8 100644
--- a/sim/common/Make-common.in
+++ b/sim/common/Make-common.in
@@ -75,7 +75,6 @@ CFLAGS = @CFLAGS@
 CPPFLAGS = @CPPFLAGS@
 CXXFLAGS = @CXXFLAGS@
 LDFLAGS = @LDFLAGS@
-SIM_CFLAGS = @sim_cflags@
 SIM_DEBUG = @sim_debug@
 SIM_TRACE = @sim_trace@
 SIM_PROFILE = @sim_profile@
@@ -228,7 +227,6 @@ CGEN_INCLUDE_DEPS = \
 
 CONFIG_CFLAGS = \
 	@DEFS@ \
-	$(SIM_CFLAGS) \
 	$(SIM_DEBUG) \
 	$(SIM_DEFAULT_MODEL) \
 	$(SIM_TRACE) \
diff --git a/sim/common/Makefile.in b/sim/common/Makefile.in
index c249b4b..0f934ce 100644
--- a/sim/common/Makefile.in
+++ b/sim/common/Makefile.in
@@ -48,7 +48,6 @@ INSTALL_DATA = @INSTALL_DATA@
 CC = @CC@
 CC_FOR_BUILD = @CC_FOR_BUILD@
 CFLAGS = @CFLAGS@
-SIM_CFLAGS = @sim_cflags@
 
 # These are used to rebuild nltvals.def.
 CPP_FOR_TARGET = @CPP_FOR_TARGET@
@@ -57,7 +56,7 @@ TARGET_SUBDIR = @TARGET_SUBDIR@
 HDEFINES = @HDEFINES@
 TDEFINES =
 
-CONFIG_CFLAGS = @DEFS@ $(SIM_CFLAGS) $(HDEFINES) $(TDEFINES)
+CONFIG_CFLAGS = @DEFS@ $(HDEFINES) $(TDEFINES)
 CSEARCH = -I. -I$(srcdir) -I$(srcroot)/include
 ALL_CFLAGS = $(CFLAGS) $(CONFIG_CFLAGS) $(CSEARCH)
 BUILD_CFLAGS = -g -O $(CSEARCH)
diff --git a/sim/common/acinclude.m4 b/sim/common/acinclude.m4
index a746ca8..e11e568 100644
--- a/sim/common/acinclude.m4
+++ b/sim/common/acinclude.m4
@@ -133,21 +133,6 @@ dnl --enable-maintainer-mode.
 AM_MAINTAINER_MODE
 
 
-AC_ARG_ENABLE(sim-cflags,
-[AS_HELP_STRING([--enable-sim-cflags=opts],
-		[Extra CFLAGS for use in building simulator])],
-[case "${enableval}" in
-  yes)	 sim_cflags="-O2 -fomit-frame-pointer";;
-  trace) AC_MSG_ERROR("Please use --enable-sim-debug instead."); sim_cflags="";;
-  no)	 sim_cflags="";;
-  *)	 sim_cflags=`echo "${enableval}" | sed -e "s/,/ /g"`;;
-esac
-if test x"$silent" != x"yes" && test x"$sim_cflags" != x""; then
-  echo "Setting sim cflags = $sim_cflags" 6>&1
-fi],[sim_cflags=""])dnl
-AC_SUBST(sim_cflags)
-
-
 dnl --enable-sim-debug is for developers of the simulator
 dnl the allowable values are work-in-progress
 AC_ARG_ENABLE(sim-debug,
diff --git a/sim/cr16/ChangeLog b/sim/cr16/ChangeLog
index ca0674c..d9ec562 100644
--- a/sim/cr16/ChangeLog
+++ b/sim/cr16/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/cr16/configure b/sim/cr16/configure
index f6b04b3..5e47cd4 100755
diff --git a/sim/cris/ChangeLog b/sim/cris/ChangeLog
index 592b20e..3ffe1c7 100644
--- a/sim/cris/ChangeLog
+++ b/sim/cris/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/cris/configure b/sim/cris/configure
index 6f2653e..e282c13 100755
diff --git a/sim/d10v/ChangeLog b/sim/d10v/ChangeLog
index 10e0d3f..115ac0d 100644
--- a/sim/d10v/ChangeLog
+++ b/sim/d10v/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/d10v/configure b/sim/d10v/configure
index 87674c4..027cd01 100755
diff --git a/sim/erc32/ChangeLog b/sim/erc32/ChangeLog
index d49c23c..8330832 100644
--- a/sim/erc32/ChangeLog
+++ b/sim/erc32/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/erc32/configure b/sim/erc32/configure
index 2a66388..726cbf0 100755
diff --git a/sim/frv/ChangeLog b/sim/frv/ChangeLog
index 66d73ff..c06ec3d 100644
--- a/sim/frv/ChangeLog
+++ b/sim/frv/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/frv/configure b/sim/frv/configure
index 207534b..48c0bdb 100755
diff --git a/sim/ft32/ChangeLog b/sim/ft32/ChangeLog
index 1be9545..639f37b 100644
--- a/sim/ft32/ChangeLog
+++ b/sim/ft32/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/ft32/configure b/sim/ft32/configure
index cc8f393..c8b2833 100755
diff --git a/sim/h8300/ChangeLog b/sim/h8300/ChangeLog
index a18cc8e..75c4d82 100644
--- a/sim/h8300/ChangeLog
+++ b/sim/h8300/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/h8300/configure b/sim/h8300/configure
index 0d39176..dc75ac2 100755
diff --git a/sim/iq2000/ChangeLog b/sim/iq2000/ChangeLog
index 26d315c..f8582a4 100644
--- a/sim/iq2000/ChangeLog
+++ b/sim/iq2000/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/iq2000/configure b/sim/iq2000/configure
index 5678ee7..071c452 100755
diff --git a/sim/lm32/ChangeLog b/sim/lm32/ChangeLog
index 8f2bbfc..0b4fb4d 100644
--- a/sim/lm32/ChangeLog
+++ b/sim/lm32/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/lm32/configure b/sim/lm32/configure
index d562850..6c9c630 100755
diff --git a/sim/m32c/ChangeLog b/sim/m32c/ChangeLog
index 331839e..28ea318 100644
--- a/sim/m32c/ChangeLog
+++ b/sim/m32c/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/m32c/configure b/sim/m32c/configure
index 2a6398d..4341010 100755
diff --git a/sim/m32r/ChangeLog b/sim/m32r/ChangeLog
index 9345e0a..a6771fd 100644
--- a/sim/m32r/ChangeLog
+++ b/sim/m32r/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/m32r/configure b/sim/m32r/configure
index 78125db..afae89d 100755
diff --git a/sim/m68hc11/ChangeLog b/sim/m68hc11/ChangeLog
index afe6460..a61ff11 100644
--- a/sim/m68hc11/ChangeLog
+++ b/sim/m68hc11/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/m68hc11/configure b/sim/m68hc11/configure
index dc57b61..5921c48 100755
diff --git a/sim/mcore/ChangeLog b/sim/mcore/ChangeLog
index c429371..db04072 100644
--- a/sim/mcore/ChangeLog
+++ b/sim/mcore/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/mcore/configure b/sim/mcore/configure
index 87674c4..027cd01 100755
diff --git a/sim/microblaze/ChangeLog b/sim/microblaze/ChangeLog
index f2fc2af..84c45e6 100644
--- a/sim/microblaze/ChangeLog
+++ b/sim/microblaze/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/microblaze/configure b/sim/microblaze/configure
index 87674c4..027cd01 100755
diff --git a/sim/mips/ChangeLog b/sim/mips/ChangeLog
index f43e36b..98bef9a 100644
--- a/sim/mips/ChangeLog
+++ b/sim/mips/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/mips/configure b/sim/mips/configure
index 7bf62ea..3b69a00 100755
diff --git a/sim/mn10300/ChangeLog b/sim/mn10300/ChangeLog
index f1df49e..591ca58 100644
--- a/sim/mn10300/ChangeLog
+++ b/sim/mn10300/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/mn10300/configure b/sim/mn10300/configure
index f6bad04..4f0f45c 100755
diff --git a/sim/moxie/ChangeLog b/sim/moxie/ChangeLog
index b2fcfb5..beaff02 100644
--- a/sim/moxie/ChangeLog
+++ b/sim/moxie/ChangeLog
@@ -1,3 +1,9 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+	* Makefile.in (SIM_CFLAGS): Rename to ...
+	(SIM_EXTRA_CFLAGS): ... this.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/moxie/Makefile.in b/sim/moxie/Makefile.in
index 25eab0f..fd967a8 100644
--- a/sim/moxie/Makefile.in
+++ b/sim/moxie/Makefile.in
@@ -26,7 +26,7 @@ SIM_OBJS = \
 
 SIM_EXTRA_LIBS = -lm -lz
 SIM_EXTRA_INSTALL = install-dtb
-SIM_CFLAGS = -DDTB="\"$(dtbdir)/moxie-gdb.dtb\""
+SIM_EXTRA_CFLAGS = -DDTB="\"$(dtbdir)/moxie-gdb.dtb\""
 
 ## COMMON_POST_CONFIG_FRAG
 
diff --git a/sim/moxie/configure b/sim/moxie/configure
index dc1ffd1..802f589 100755
diff --git a/sim/msp430/ChangeLog b/sim/msp430/ChangeLog
index 9006c7f..15877a6 100644
--- a/sim/msp430/ChangeLog
+++ b/sim/msp430/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/msp430/configure b/sim/msp430/configure
index dc55890..4e3b2e7 100755
diff --git a/sim/ppc/ChangeLog b/sim/ppc/ChangeLog
index ae770ac..25bdd6c 100644
--- a/sim/ppc/ChangeLog
+++ b/sim/ppc/ChangeLog
@@ -1,3 +1,12 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure.ac: Delete --enable-sim-cflags and sim_cflags.
+	* configure: Regenerate.
+	* INSTALL: Delete all mention of --enable-sim-cflags.
+	* Makefile.in (SIM_CFLAGS): Delete.
+	(STD_CFLAGS, NOWARN_CFLAGS): Delete $(SIM_CFLAGS).
+	(psim): Likewise.
+
 2016-01-06  Mike Frysinger  <vapier@gentoo.org>
 
 	* sim_calls.c (sim_open): Mark argv const.
diff --git a/sim/ppc/INSTALL b/sim/ppc/INSTALL
index 8240ac7..9feac7b 100644
--- a/sim/ppc/INSTALL
+++ b/sim/ppc/INSTALL
@@ -197,36 +197,6 @@ Each PSIM specific option is discussed in detail below.
 
 
 
---enable-sim-cflags=<opts>
-
-
-Specify additional C compiler flags that are to be used when compiling
-just PSIM.
-
-PSIM places heavy demands on both the host machine and its C compiler.  So that
-the builder has better control over the compiler the above option can be used
-to pass additional options to the compiler while PSIM is being built.
-
-Ex: No debug information
-
-PSIM can be built with everything inline.  Unfortunately, because of
-all the debugging information generated the C compiler can grow very
-very large as a result.  For GCC, the debug information can be
-restricted with the `-g0' option.  To specify that this option should
-be include in the CFLAGS when compiling the psim source code use:
-
-	--enable-sim-cflags=-g0
-
-Ex: Additional optimization flags
-
-A significant gain in performance can be achieved by tuning the
-optimization flags passed to the C compiler.  For instance on an x86
-you may consider:
-
-	--enable-sim-cflags='-g0 -O2 -fno-strength-reduce -f...'
-
-
-
 --enable-sim-warnings=<flags>
 
 
@@ -757,8 +727,7 @@ TYPICAL CONFIGURATION OPTIONS:
                 --enable-sim-env=user \
                 --disable-sim-reserved-bits \
                 --disable-sim-assert \
-                --disable-sim-trace \
-                --enable-sim-cflags='-g0,-O2,-fno-strength-reduce,-fomit-frame-pointer'
+                --disable-sim-trace
 
 
 	OEA CODE ONLY:
@@ -792,5 +761,4 @@ TYPICAL CONFIGURATION OPTIONS:
                 --disable-sim-assert \
                 --disable-sim-trace \
                 --enable-sim-opcode=ppc-opcode-flat \
-                --disable-sim-icache \
-                --enable-sim-cflags='-g0,-O3,-fno-strength-reduce,-fomit-frame-pointer'
+                --disable-sim-icache
diff --git a/sim/ppc/Makefile.in b/sim/ppc/Makefile.in
index 6efa73f..139fc6c 100644
--- a/sim/ppc/Makefile.in
+++ b/sim/ppc/Makefile.in
@@ -70,7 +70,6 @@ BISON = bison
 MAKEINFO = makeinfo
 RANLIB = @RANLIB@
 
-SIM_CFLAGS = @sim_cflags@
 INLINE_CFLAGS = @sim_inline@
 ENDIAN_CFLAGS = @sim_endian@
 REGPARM_CFLAGS = @sim_regparm@
@@ -116,8 +115,8 @@ CONFIG_CFLAGS = \
   $(DEVZERO_CFLAGS)
 SIM_FPU_CFLAGS = @sim_fpu_cflags@
 
-STD_CFLAGS	= $(CFLAGS) $(INLINE_CFLAGS) $(CONFIG_CFLAGS) $(WARNING_CFLAGS) $(SIM_CFLAGS) $(HDEFINES) $(TDEFINES) $(INCLUDES) $(INTL_CFLAGS) $(SIM_FPU_CFLAGS)
-NOWARN_CFLAGS	= $(CFLAGS) $(INLINE_CFLAGS) $(CONFIG_CFLAGS) $(SIM_CFLAGS) $(HDEFINES) $(TDEFINES) $(INCLUDES)  $(SIM_FPU_CFLAGS)
+STD_CFLAGS	= $(CFLAGS) $(INLINE_CFLAGS) $(CONFIG_CFLAGS) $(WARNING_CFLAGS) $(HDEFINES) $(TDEFINES) $(INCLUDES) $(INTL_CFLAGS) $(SIM_FPU_CFLAGS)
+NOWARN_CFLAGS	= $(CFLAGS) $(INLINE_CFLAGS) $(CONFIG_CFLAGS) $(HDEFINES) $(TDEFINES) $(INCLUDES)  $(SIM_FPU_CFLAGS)
 BUILD_CFLAGS	= $(CFLAGS_FOR_BUILD) $(INCLUDES) $(WARNING_CFLAGS)
 
 BUILD_LDFLAGS	=
@@ -550,7 +549,7 @@ PACKAGE_OBJ = @sim_pk_obj@
 
 
 psim: $(TARGETLIB) main.o $(LIBIBERTY_LIB) $(BFD_LIB) $(LIBINTL_DEP)
-	$(CC) $(CFLAGS) $(SIM_CFLAGS) $(LDFLAGS) -o psim$(EXEEXT) main.o $(TARGETLIB) $(BFD_LIB) $(ZLIB) $(LIBINTL) $(LIBIBERTY_LIB) $(LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o psim$(EXEEXT) main.o $(TARGETLIB) $(BFD_LIB) $(ZLIB) $(LIBINTL) $(LIBIBERTY_LIB) $(LIBS)
 
 run: psim
 	rm -f run$(EXEEXT)
diff --git a/sim/ppc/configure b/sim/ppc/configure
index 63f1395..d552628 100755
diff --git a/sim/ppc/configure.ac b/sim/ppc/configure.ac
index dff48d2..0b6f849 100644
--- a/sim/ppc/configure.ac
+++ b/sim/ppc/configure.ac
@@ -56,18 +56,6 @@ if test x"$silent" != x"yes" && test x"$sim_bitsize" != x""; then
 fi],[sim_bitsize=""])dnl
 
 
-AC_ARG_ENABLE(sim-cflags,
-[  --enable-sim-cflags=opts		Extra CFLAGS for use in building simulator],
-[case "${enableval}" in
-  yes)	sim_cflags="-O2 -fomit-frame-pointer";;
-  no)	sim_cflags="";;
-  *)	sim_cflags=`echo "${enableval}" | sed -e "s/,/ /g"`;;
-esac
-if test x"$silent" != x"yes" && test x"$sim_cflags" != x""; then
-  echo "Setting sim cflags = $sim_cflags" 6>&1
-fi],[sim_cflags=""])dnl
-
-
 AC_ARG_ENABLE(sim-config,
 [  --enable-sim-config=file		Override default config file],
 [case "${enableval}" in
@@ -874,7 +862,6 @@ AC_SUBST(HDEFINES)
 AR=${AR-ar}
 AC_SUBST(AR)
 AC_PROG_RANLIB
-AC_SUBST(sim_cflags)
 AC_SUBST(sim_warnings)
 AC_SUBST(sim_line_nr)
 AC_SUBST(sim_config)
diff --git a/sim/rl78/ChangeLog b/sim/rl78/ChangeLog
index 0d35ab0..8eed2d6 100644
--- a/sim/rl78/ChangeLog
+++ b/sim/rl78/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/rl78/configure b/sim/rl78/configure
index 7ba111e..7064842 100755
diff --git a/sim/rx/ChangeLog b/sim/rx/ChangeLog
index cff5fc8..913b5cc 100644
--- a/sim/rx/ChangeLog
+++ b/sim/rx/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/rx/configure b/sim/rx/configure
index c62fdc3..9d12c40 100755
diff --git a/sim/sh/ChangeLog b/sim/sh/ChangeLog
index f7a57bc..ccc671a 100644
--- a/sim/sh/ChangeLog
+++ b/sim/sh/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/sh/configure b/sim/sh/configure
index 87674c4..027cd01 100755
diff --git a/sim/sh64/ChangeLog b/sim/sh64/ChangeLog
index f430b46..7499506 100644
--- a/sim/sh64/ChangeLog
+++ b/sim/sh64/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/sh64/configure b/sim/sh64/configure
index e180eef..3e0a8b2 100755
diff --git a/sim/testsuite/ChangeLog b/sim/testsuite/ChangeLog
index 63ec3ed..ef1068e 100644
--- a/sim/testsuite/ChangeLog
+++ b/sim/testsuite/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-02  Mike Frysinger  <vapier@gentoo.org>
 
 	* common/bits-gen.c (main): Change BIG_ENDIAN to BFD_ENDIAN_BIG and
diff --git a/sim/testsuite/configure b/sim/testsuite/configure
index 287245b..bbc3bea 100755
diff --git a/sim/v850/ChangeLog b/sim/v850/ChangeLog
index f9b14fa..b598fae 100644
--- a/sim/v850/ChangeLog
+++ b/sim/v850/ChangeLog
@@ -1,3 +1,7 @@
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.