diff --git a/sim/aarch64/ChangeLog b/sim/aarch64/ChangeLog
index ebae1cd..19d49fb 100644
--- a/sim/aarch64/ChangeLog
+++ b/sim/aarch64/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/aarch64/configure b/sim/aarch64/configure
index d733a5b..afdfb55 100755
diff --git a/sim/aarch64/configure.ac b/sim/aarch64/configure.ac
index 410131c..c6e3256 100644
--- a/sim/aarch64/configure.ac
+++ b/sim/aarch64/configure.ac
@@ -32,7 +32,6 @@ SIM_AC_OPTION_ENDIAN
 ## alignment instead.
 SIM_AC_OPTION_ALIGNMENT(NONSTRICT_ALIGNMENT,NONSTRICT_ALIGNMENT)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/arm/ChangeLog b/sim/arm/ChangeLog
index e80bff5..3724c9b 100644
--- a/sim/arm/ChangeLog
+++ b/sim/arm/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/arm/configure b/sim/arm/configure
index 7e68943..a927f32 100755
diff --git a/sim/arm/configure.ac b/sim/arm/configure.ac
index ee83537..6d5622e 100644
--- a/sim/arm/configure.ac
+++ b/sim/arm/configure.ac
@@ -8,7 +8,6 @@ SIM_AC_COMMON
 SIM_AC_OPTION_ENDIAN
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/avr/ChangeLog b/sim/avr/ChangeLog
index 44538f2..49d6e1d 100644
--- a/sim/avr/ChangeLog
+++ b/sim/avr/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/avr/configure b/sim/avr/configure
index b9b9b53..8978c0b 100755
diff --git a/sim/avr/configure.ac b/sim/avr/configure.ac
index 4527f79..184ccb5 100644
--- a/sim/avr/configure.ac
+++ b/sim/avr/configure.ac
@@ -8,7 +8,6 @@ SIM_AC_COMMON
 SIM_AC_OPTION_ENDIAN(LITTLE)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/bfin/ChangeLog b/sim/bfin/ChangeLog
index 723bfcb..b220cb6 100644
--- a/sim/bfin/ChangeLog
+++ b/sim/bfin/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/bfin/configure b/sim/bfin/configure
index e95b232..a9d9baf 100755
diff --git a/sim/bfin/configure.ac b/sim/bfin/configure.ac
index f0f7396..711cae4 100644
--- a/sim/bfin/configure.ac
+++ b/sim/bfin/configure.ac
@@ -9,7 +9,6 @@ SIM_AC_OPTION_ENDIAN(LITTLE)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
 SIM_AC_OPTION_DEFAULT_MODEL(bf537)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE
 SIM_AC_OPTION_WARNINGS
 SIM_AC_OPTION_HARDWARE(yes,,\
 	bfin_cec \
diff --git a/sim/common/ChangeLog b/sim/common/ChangeLog
index 6f4f916..3e61937 100644
--- a/sim/common/ChangeLog
+++ b/sim/common/ChangeLog
@@ -1,5 +1,11 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* acinclude.m4 (SIM_AC_COMMON): Call SIM_AC_OPTION_INLINE.
+	(SIM_AC_OPTION_INLINE): Rename default_sim_inline to sim_inline
+	and always set -DDEFAULT_INLINE.  Delete AC_ARG_ENABLE 4th arg.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* acinclude.m4: Delete --enable-sim-regparm and sim_regparm,
 	and --enable-sim-stdcall and sim_stdcall.
 	* configure: Regenerate.
diff --git a/sim/common/acinclude.m4 b/sim/common/acinclude.m4
index 92eb265..0b027fd 100644
--- a/sim/common/acinclude.m4
+++ b/sim/common/acinclude.m4
@@ -223,6 +223,8 @@ if test x"$silent" != x"yes" && test x"$sim_profile" != x""; then
 fi],[sim_profile="-DPROFILE=1 -DWITH_PROFILE=-1"])dnl
 AC_SUBST(sim_profile)
 
+SIM_AC_OPTION_INLINE
+
 ACX_PKGVERSION([SIM])
 ACX_BUGURL([http://www.gnu.org/software/gdb/bugs/])
 AC_DEFINE_UNQUOTED([PKGVERSION], ["$PKGVERSION"], [Additional package description])
@@ -619,11 +621,10 @@ AC_SUBST(sim_hw)
 
 dnl --enable-sim-inline is for users that wish to ramp up the simulator's
 dnl performance by inlining functions.
-dnl Guarantee that unconfigured simulators do not do any inlining
-sim_inline="-DDEFAULT_INLINE=0"
+dnl Default sims to no inlining.
 AC_DEFUN([SIM_AC_OPTION_INLINE],
 [
-default_sim_inline="ifelse([$1],,,-DDEFAULT_INLINE=[$1])"
+sim_inline="-DDEFAULT_INLINE=m4_ifblank([$1],[0],[$1])"
 AC_ARG_ENABLE(sim-inline,
 [AS_HELP_STRING([--enable-sim-inline=inlines],
 		[Specify which functions should be inlined])],
@@ -650,18 +651,6 @@ case "$enableval" in
 esac
 if test x"$silent" != x"yes" && test x"$sim_inline" != x""; then
   echo "Setting inline flags = $sim_inline" 6>&1
-fi],[
-if test "x$cross_compiling" = "xno"; then
-  if test x"$GCC" != "x" -a x"${default_sim_inline}" != "x" ; then
-    sim_inline="${default_sim_inline}"
-    if test x"$silent" != x"yes"; then
-      echo "Setting inline flags = $sim_inline" 6>&1
-    fi
-  else
-    sim_inline=""
-  fi
-else
-  sim_inline="-DDEFAULT_INLINE=0"
 fi])dnl
 ])
 AC_SUBST(sim_inline)
diff --git a/sim/cr16/ChangeLog b/sim/cr16/ChangeLog
index 4d73a37..68aab1b 100644
--- a/sim/cr16/ChangeLog
+++ b/sim/cr16/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/cr16/configure b/sim/cr16/configure
index 8ce8009..13fb762 100755
diff --git a/sim/cr16/configure.ac b/sim/cr16/configure.ac
index c3cc966..8ce247d 100644
--- a/sim/cr16/configure.ac
+++ b/sim/cr16/configure.ac
@@ -8,7 +8,6 @@ SIM_AC_COMMON
 SIM_AC_OPTION_ENDIAN(LITTLE)
 SIM_AC_OPTION_ALIGNMENT(NONSTRICT_ALIGNMENT)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/cris/ChangeLog b/sim/cris/ChangeLog
index 25f140e..6330221 100644
--- a/sim/cris/ChangeLog
+++ b/sim/cris/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/cris/configure b/sim/cris/configure
index 565ffea..6880ddb 100755
diff --git a/sim/cris/configure.ac b/sim/cris/configure.ac
index ee8a08d..4e9455a 100644
--- a/sim/cris/configure.ac
+++ b/sim/cris/configure.ac
@@ -17,7 +17,6 @@ SIM_AC_OPTION_HARDWARE(yes,,rv cris cris_900000xx)
 # The default model shouldn't matter as long as there's a BFD.
 SIM_AC_OPTION_DEFAULT_MODEL(crisv32)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE()
 SIM_AC_OPTION_CGEN_MAINT
 
 SIM_AC_OUTPUT
diff --git a/sim/d10v/ChangeLog b/sim/d10v/ChangeLog
index 95ff51e..01d86db 100644
--- a/sim/d10v/ChangeLog
+++ b/sim/d10v/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/d10v/configure b/sim/d10v/configure
index 7e68943..a927f32 100755
diff --git a/sim/d10v/configure.ac b/sim/d10v/configure.ac
index ee83537..6d5622e 100644
--- a/sim/d10v/configure.ac
+++ b/sim/d10v/configure.ac
@@ -8,7 +8,6 @@ SIM_AC_COMMON
 SIM_AC_OPTION_ENDIAN
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/erc32/ChangeLog b/sim/erc32/ChangeLog
index 2d01898..d41e748 100644
--- a/sim/erc32/ChangeLog
+++ b/sim/erc32/ChangeLog
@@ -6,6 +6,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/erc32/configure b/sim/erc32/configure
index a3af2ab..6ffb916 100755
diff --git a/sim/frv/ChangeLog b/sim/frv/ChangeLog
index 7e509be..598dc52 100644
--- a/sim/frv/ChangeLog
+++ b/sim/frv/ChangeLog
@@ -6,6 +6,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/frv/configure b/sim/frv/configure
index 748971a..269710a 100755
diff --git a/sim/ft32/ChangeLog b/sim/ft32/ChangeLog
index fb1210e..a50c43e 100644
--- a/sim/ft32/ChangeLog
+++ b/sim/ft32/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/ft32/configure b/sim/ft32/configure
index e4d2bc7..2f819f6 100755
diff --git a/sim/ft32/configure.ac b/sim/ft32/configure.ac
index 7ef618b..8aadb5f 100644
--- a/sim/ft32/configure.ac
+++ b/sim/ft32/configure.ac
@@ -8,7 +8,6 @@ SIM_AC_COMMON
 SIM_AC_OPTION_ENDIAN(LITTLE)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/h8300/ChangeLog b/sim/h8300/ChangeLog
index 09f141a..90bcf74 100644
--- a/sim/h8300/ChangeLog
+++ b/sim/h8300/ChangeLog
@@ -6,6 +6,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/h8300/configure b/sim/h8300/configure
index 7895bd7..69fa692 100755
diff --git a/sim/igen/ChangeLog b/sim/igen/ChangeLog
index 2a47578..1bb33c6 100644
--- a/sim/igen/ChangeLog
+++ b/sim/igen/ChangeLog
@@ -2,6 +2,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-04  Mike Frysinger  <vapier@gentoo.org>
 
 	* configure: Regenerate.
diff --git a/sim/igen/configure b/sim/igen/configure
index 14f4058..2264686 100755
diff --git a/sim/iq2000/ChangeLog b/sim/iq2000/ChangeLog
index 8bcf0db..596b84c 100644
--- a/sim/iq2000/ChangeLog
+++ b/sim/iq2000/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/iq2000/configure b/sim/iq2000/configure
index 92a2843..8e66d18 100755
diff --git a/sim/iq2000/configure.ac b/sim/iq2000/configure.ac
index f73aebc..0d6b116 100644
--- a/sim/iq2000/configure.ac
+++ b/sim/iq2000/configure.ac
@@ -10,7 +10,6 @@ SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT)
 SIM_AC_OPTION_SCACHE(16384)
 SIM_AC_OPTION_DEFAULT_MODEL(iq2000)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE()
 SIM_AC_OPTION_CGEN_MAINT
 
 SIM_AC_OPTION_HARDWARE(yes,"","")
diff --git a/sim/lm32/ChangeLog b/sim/lm32/ChangeLog
index cf7ce4a..a632514 100644
--- a/sim/lm32/ChangeLog
+++ b/sim/lm32/ChangeLog
@@ -6,6 +6,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/lm32/configure b/sim/lm32/configure
index 4603179..20df447 100755
diff --git a/sim/m32c/ChangeLog b/sim/m32c/ChangeLog
index 1aeb75f..0b42c84 100644
--- a/sim/m32c/ChangeLog
+++ b/sim/m32c/ChangeLog
@@ -6,6 +6,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/m32c/configure b/sim/m32c/configure
index c083a20..3ade132 100755
diff --git a/sim/m32r/ChangeLog b/sim/m32r/ChangeLog
index dc35301..142e129 100644
--- a/sim/m32r/ChangeLog
+++ b/sim/m32r/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/m32r/configure b/sim/m32r/configure
index 3f632ef..f859fcf 100755
diff --git a/sim/m32r/configure.ac b/sim/m32r/configure.ac
index d73f21b..4395020 100644
--- a/sim/m32r/configure.ac
+++ b/sim/m32r/configure.ac
@@ -10,7 +10,6 @@ SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT)
 SIM_AC_OPTION_SCACHE(16384)
 SIM_AC_OPTION_DEFAULT_MODEL(m32r/d)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE()
 SIM_AC_OPTION_CGEN_MAINT
 
   case "${target_alias}" in
diff --git a/sim/m68hc11/ChangeLog b/sim/m68hc11/ChangeLog
index 893867c..6fe07e6 100644
--- a/sim/m68hc11/ChangeLog
+++ b/sim/m68hc11/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/m68hc11/configure b/sim/m68hc11/configure
index aa9b7ed..f3b2b1a 100755
diff --git a/sim/m68hc11/configure.ac b/sim/m68hc11/configure.ac
index 4a0abe6..8913933 100644
--- a/sim/m68hc11/configure.ac
+++ b/sim/m68hc11/configure.ac
@@ -6,7 +6,6 @@ sinclude(../common/acinclude.m4)
 SIM_AC_COMMON
 
 dnl Options available in this module
-SIM_AC_OPTION_INLINE()
 SIM_AC_OPTION_ENDIAN(BIG)
 SIM_AC_OPTION_ALIGNMENT(NONSTRICT_ALIGNMENT)
 SIM_AC_OPTION_WARNINGS
diff --git a/sim/mcore/ChangeLog b/sim/mcore/ChangeLog
index f4a2721..42deadd 100644
--- a/sim/mcore/ChangeLog
+++ b/sim/mcore/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/mcore/configure b/sim/mcore/configure
index 7e68943..a927f32 100755
diff --git a/sim/mcore/configure.ac b/sim/mcore/configure.ac
index ee83537..6d5622e 100644
--- a/sim/mcore/configure.ac
+++ b/sim/mcore/configure.ac
@@ -8,7 +8,6 @@ SIM_AC_COMMON
 SIM_AC_OPTION_ENDIAN
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/microblaze/ChangeLog b/sim/microblaze/ChangeLog
index 079ef0e..dc6c81b 100644
--- a/sim/microblaze/ChangeLog
+++ b/sim/microblaze/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/microblaze/configure b/sim/microblaze/configure
index 7e68943..a927f32 100755
diff --git a/sim/microblaze/configure.ac b/sim/microblaze/configure.ac
index ee83537..6d5622e 100644
--- a/sim/microblaze/configure.ac
+++ b/sim/microblaze/configure.ac
@@ -8,7 +8,6 @@ SIM_AC_COMMON
 SIM_AC_OPTION_ENDIAN
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/mips/ChangeLog b/sim/mips/ChangeLog
index f7c5ae8..21e832c 100644
--- a/sim/mips/ChangeLog
+++ b/sim/mips/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/mips/configure b/sim/mips/configure
index 16427de..acd36b2 100755
diff --git a/sim/mips/configure.ac b/sim/mips/configure.ac
index 4e51e0b..c21faaf 100644
--- a/sim/mips/configure.ac
+++ b/sim/mips/configure.ac
@@ -6,7 +6,6 @@ sinclude(../common/acinclude.m4)
 SIM_AC_COMMON
 
 dnl Options available in this module
-SIM_AC_OPTION_INLINE()
 SIM_AC_OPTION_ALIGNMENT(NONSTRICT_ALIGNMENT)
 SIM_AC_OPTION_WARNINGS
 SIM_AC_OPTION_RESERVED_BITS(1)
diff --git a/sim/mn10300/ChangeLog b/sim/mn10300/ChangeLog
index c1cc6c0..cc027ff 100644
--- a/sim/mn10300/ChangeLog
+++ b/sim/mn10300/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/mn10300/configure b/sim/mn10300/configure
index 0fa3617..73b5b21 100755
diff --git a/sim/mn10300/configure.ac b/sim/mn10300/configure.ac
index 3297b0c..53e0cdd 100644
--- a/sim/mn10300/configure.ac
+++ b/sim/mn10300/configure.ac
@@ -10,7 +10,6 @@ SIM_AC_OPTION_ALIGNMENT(NONSTRICT_ALIGNMENT)
 SIM_AC_OPTION_WARNINGS
 SIM_AC_OPTION_RESERVED_BITS
 SIM_AC_OPTION_BITSIZE(32,31)
-SIM_AC_OPTION_INLINE()
 SIM_AC_OPTION_HARDWARE(yes,,mn103cpu mn103int mn103tim mn103ser mn103iop)
 
 AC_CHECK_FUNCS(time chmod utime fork execve execv chown)
diff --git a/sim/moxie/ChangeLog b/sim/moxie/ChangeLog
index d7cd663..90d2dca 100644
--- a/sim/moxie/ChangeLog
+++ b/sim/moxie/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/moxie/configure b/sim/moxie/configure
index 161f2ab..cd09528 100755
diff --git a/sim/moxie/configure.ac b/sim/moxie/configure.ac
index 3ce09f6..d930208 100644
--- a/sim/moxie/configure.ac
+++ b/sim/moxie/configure.ac
@@ -10,7 +10,6 @@ AC_CHECK_TOOL(DTC, dtc)
 SIM_AC_OPTION_ENDIAN(BIG)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/msp430/ChangeLog b/sim/msp430/ChangeLog
index c643180..050f317 100644
--- a/sim/msp430/ChangeLog
+++ b/sim/msp430/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/msp430/configure b/sim/msp430/configure
index 85c89ca..b5db5f9 100755
diff --git a/sim/msp430/configure.ac b/sim/msp430/configure.ac
index b896ce4..8f4e190 100644
--- a/sim/msp430/configure.ac
+++ b/sim/msp430/configure.ac
@@ -28,7 +28,6 @@ AC_CHECK_HEADERS(getopt.h)
 
 SIM_AC_OPTION_ENDIAN(LITTLE)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
-SIM_AC_OPTION_INLINE
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/ppc/ChangeLog b/sim/ppc/ChangeLog
index 01b07c9..59a062b 100644
--- a/sim/ppc/ChangeLog
+++ b/sim/ppc/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac: Delete --enable-sim-regparm and sim_regparm,
 	and --enable-sim-stdcall and sim_stdcall.
 	* configure: Regenerate.
diff --git a/sim/ppc/configure b/sim/ppc/configure
index 260aa54..3dc36ff 100755
diff --git a/sim/rl78/ChangeLog b/sim/rl78/ChangeLog
index 49fc40e..5c00f61 100644
--- a/sim/rl78/ChangeLog
+++ b/sim/rl78/ChangeLog
@@ -6,6 +6,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/rl78/configure b/sim/rl78/configure
index cad712e..7fb8300 100755
diff --git a/sim/rx/ChangeLog b/sim/rx/ChangeLog
index d48d10b..74ad557 100644
--- a/sim/rx/ChangeLog
+++ b/sim/rx/ChangeLog
@@ -6,6 +6,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/rx/configure b/sim/rx/configure
index 824447a..515ccde 100755
diff --git a/sim/sh/ChangeLog b/sim/sh/ChangeLog
index 104a36b..17b1923 100644
--- a/sim/sh/ChangeLog
+++ b/sim/sh/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/sh/configure b/sim/sh/configure
index 7e68943..a927f32 100755
diff --git a/sim/sh/configure.ac b/sim/sh/configure.ac
index ee83537..6d5622e 100644
--- a/sim/sh/configure.ac
+++ b/sim/sh/configure.ac
@@ -8,7 +8,6 @@ SIM_AC_COMMON
 SIM_AC_OPTION_ENDIAN
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/sh64/ChangeLog b/sim/sh64/ChangeLog
index 0de22fc..b90bc5f 100644
--- a/sim/sh64/ChangeLog
+++ b/sim/sh64/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/sh64/configure b/sim/sh64/configure
index e236b7d..21a4643 100755
diff --git a/sim/sh64/configure.ac b/sim/sh64/configure.ac
index c1fb783..818af12 100644
--- a/sim/sh64/configure.ac
+++ b/sim/sh64/configure.ac
@@ -10,7 +10,6 @@ SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT)
 SIM_AC_OPTION_SCACHE(16384)
 SIM_AC_OPTION_DEFAULT_MODEL(sh5)
 SIM_AC_OPTION_ENVIRONMENT
-SIM_AC_OPTION_INLINE()
 SIM_AC_OPTION_CGEN_MAINT
 
 SIM_AC_OPTION_HARDWARE(yes,"","")
diff --git a/sim/v850/ChangeLog b/sim/v850/ChangeLog
index 7582b41..c3500f5 100644
--- a/sim/v850/ChangeLog
+++ b/sim/v850/ChangeLog
@@ -6,6 +6,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.