diff --git a/sim/aarch64/ChangeLog b/sim/aarch64/ChangeLog
index 19d49fb..b4e6425 100644
--- a/sim/aarch64/ChangeLog
+++ b/sim/aarch64/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/aarch64/configure b/sim/aarch64/configure
index afdfb55..0385962 100755
diff --git a/sim/arm/ChangeLog b/sim/arm/ChangeLog
index 3724c9b..2d34e16 100644
--- a/sim/arm/ChangeLog
+++ b/sim/arm/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/arm/configure b/sim/arm/configure
index a927f32..e929ba2 100755
diff --git a/sim/avr/ChangeLog b/sim/avr/ChangeLog
index 49d6e1d..c9def60 100644
--- a/sim/avr/ChangeLog
+++ b/sim/avr/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/avr/configure b/sim/avr/configure
index 8978c0b..a1ecf4a 100755
diff --git a/sim/bfin/ChangeLog b/sim/bfin/ChangeLog
index b220cb6..8d0cc2b 100644
--- a/sim/bfin/ChangeLog
+++ b/sim/bfin/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/bfin/configure b/sim/bfin/configure
index a9d9baf..d97ffd5 100755
diff --git a/sim/common/ChangeLog b/sim/common/ChangeLog
index 3e61937..a19e56e 100644
--- a/sim/common/ChangeLog
+++ b/sim/common/ChangeLog
@@ -1,5 +1,16 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* acinclude.m4 (SIM_AC_COMMON): Delete sim_link_files and
+	sim_link_links.
+	(SIM_AC_OUTPUT): Delete AC_LINK_FILES call.
+	* gentmap.c: Change targ-vals.def include to nltvals.def.
+	* Make-common.in (gentmap): Change targ-vals.def to
+	$(srccom)/nltvals.def.
+	(distclean): Delete rm -f targ-vals.def.
+	* Makefile.in: Update comment.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* acinclude.m4 (SIM_AC_COMMON): Call SIM_AC_OPTION_INLINE.
 	(SIM_AC_OPTION_INLINE): Rename default_sim_inline to sim_inline
 	and always set -DDEFAULT_INLINE.  Delete AC_ARG_ENABLE 4th arg.
diff --git a/sim/common/Make-common.in b/sim/common/Make-common.in
index 458bf4b..72b095a 100644
--- a/sim/common/Make-common.in
+++ b/sim/common/Make-common.in
@@ -293,7 +293,7 @@ run$(EXEEXT): $(SIM_RUN_OBJS) libsim.a $(LIBDEPS)
 # devo/libremote because this directory would contain more than just
 # a library).
 
-gentmap: Makefile $(srccom)/gentmap.c targ-vals.def
+gentmap: Makefile $(srccom)/gentmap.c $(srccom)/nltvals.def
 	$(CC_FOR_BUILD) $(srccom)/gentmap.c -o gentmap $(BUILD_CFLAGS) $(NL_TARGET)
 
 targ-vals.h targ-map.c: stamp-tvals
@@ -526,7 +526,6 @@ distclean mostlyclean maintainer-clean realclean: clean $(SIM_EXTRA_DISTCLEAN)
 	rm -f TAGS
 	rm -f Makefile config.cache config.log config.status .gdbinit
 	rm -f config.h stamp-h
-	rm -f targ-vals.def
 
 .c.o:
 	$(COMPILE) $<
diff --git a/sim/common/Makefile.in b/sim/common/Makefile.in
index 0f934ce..a05f507 100644
--- a/sim/common/Makefile.in
+++ b/sim/common/Makefile.in
@@ -75,7 +75,7 @@ all:
 # This file is shipped with distributions so we build in the source dir.
 # Use `make headers' to rebuild.
 # Note: If gdb releases begin to contain target header files (not a good idea,
-# but if they did ...), targ-vals.def coud be generated at build time.
+# but if they did ...), nltvals.def coud be generated at build time.
 # An alternative is to slurp in the tables at runtime.
 .PHONY: headers
 headers:
diff --git a/sim/common/acinclude.m4 b/sim/common/acinclude.m4
index 0b027fd..d5b4b98 100644
--- a/sim/common/acinclude.m4
+++ b/sim/common/acinclude.m4
@@ -236,17 +236,6 @@ AC_TYPE_SIGNAL
 dnl Detect exe extension
 AC_EXEEXT
 
-dnl These are available to append to as desired.
-sim_link_files=
-sim_link_links=
-
-# targ-vals.def points to the libc macro description file.
-case "${target}" in
-*-*-*) TARG_VALS_DEF=../common/nltvals.def ;;
-esac
-sim_link_files="${sim_link_files} ${TARG_VALS_DEF}"
-sim_link_links="${sim_link_links} targ-vals.def"
-
 ]) dnl End of SIM_AC_COMMON
 
 
@@ -838,7 +827,6 @@ dnl the target's fragment at the appropriate points.
 
 AC_DEFUN([SIM_AC_OUTPUT],
 [
-AC_LINK_FILES($sim_link_files, $sim_link_links)
 dnl Make @cgen_breaks@ non-null only if the sim uses CGEN.
 cgen_breaks=""
 if grep CGEN_MAINT $srcdir/Makefile.in >/dev/null; then
diff --git a/sim/common/gentmap.c b/sim/common/gentmap.c
index 669a7e5..a606fad 100644
--- a/sim/common/gentmap.c
+++ b/sim/common/gentmap.c
@@ -11,21 +11,21 @@ struct tdefs {
 
 static struct tdefs sys_tdefs[] = {
 #define sys_defs
-#include "targ-vals.def"
+#include "nltvals.def"
 #undef sys_defs
   { 0, 0 }
 };
 
 static struct tdefs errno_tdefs[] =  {
 #define errno_defs
-#include "targ-vals.def"
+#include "nltvals.def"
 #undef errno_defs
   { 0, 0 }
 };
 
 static struct tdefs open_tdefs[] = {
 #define open_defs
-#include "targ-vals.def"
+#include "nltvals.def"
 #undef open_defs
   { 0, 0 }
 };
diff --git a/sim/cr16/ChangeLog b/sim/cr16/ChangeLog
index 68aab1b..b935412 100644
--- a/sim/cr16/ChangeLog
+++ b/sim/cr16/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/cr16/configure b/sim/cr16/configure
index 13fb762..10de0a3 100755
diff --git a/sim/cris/ChangeLog b/sim/cris/ChangeLog
index 6330221..0420390 100644
--- a/sim/cris/ChangeLog
+++ b/sim/cris/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/cris/configure b/sim/cris/configure
index 6880ddb..1f1793d 100755
diff --git a/sim/d10v/ChangeLog b/sim/d10v/ChangeLog
index 01d86db..ef3a844 100644
--- a/sim/d10v/ChangeLog
+++ b/sim/d10v/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/d10v/configure b/sim/d10v/configure
index a927f32..e929ba2 100755
diff --git a/sim/erc32/ChangeLog b/sim/erc32/ChangeLog
index d41e748..a988972 100644
--- a/sim/erc32/ChangeLog
+++ b/sim/erc32/ChangeLog
@@ -10,6 +10,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/erc32/configure b/sim/erc32/configure
index 6ffb916..2344ad5 100755
diff --git a/sim/frv/ChangeLog b/sim/frv/ChangeLog
index 598dc52..ab37d0a 100644
--- a/sim/frv/ChangeLog
+++ b/sim/frv/ChangeLog
@@ -10,6 +10,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/frv/configure b/sim/frv/configure
index 269710a..8717177 100755
diff --git a/sim/ft32/ChangeLog b/sim/ft32/ChangeLog
index a50c43e..ebe6b2f 100644
--- a/sim/ft32/ChangeLog
+++ b/sim/ft32/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/ft32/configure b/sim/ft32/configure
index 2f819f6..3d976b9 100755
diff --git a/sim/h8300/ChangeLog b/sim/h8300/ChangeLog
index 90bcf74..eadf3ac 100644
--- a/sim/h8300/ChangeLog
+++ b/sim/h8300/ChangeLog
@@ -10,6 +10,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/h8300/configure b/sim/h8300/configure
index 69fa692..17c4e1d 100755
diff --git a/sim/iq2000/ChangeLog b/sim/iq2000/ChangeLog
index 596b84c..90efcd4 100644
--- a/sim/iq2000/ChangeLog
+++ b/sim/iq2000/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/iq2000/configure b/sim/iq2000/configure
index 8e66d18..d304c2d 100755
diff --git a/sim/lm32/ChangeLog b/sim/lm32/ChangeLog
index a632514..5d8c586 100644
--- a/sim/lm32/ChangeLog
+++ b/sim/lm32/ChangeLog
@@ -10,6 +10,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/lm32/configure b/sim/lm32/configure
index 20df447..77608f1 100755
diff --git a/sim/m32c/ChangeLog b/sim/m32c/ChangeLog
index 0b42c84..c0df2e8 100644
--- a/sim/m32c/ChangeLog
+++ b/sim/m32c/ChangeLog
@@ -10,6 +10,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/m32c/configure b/sim/m32c/configure
index 3ade132..f736b51 100755
diff --git a/sim/m32r/ChangeLog b/sim/m32r/ChangeLog
index 142e129..272c9c2 100644
--- a/sim/m32r/ChangeLog
+++ b/sim/m32r/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/m32r/configure b/sim/m32r/configure
index f859fcf..4f68a42 100755
diff --git a/sim/m68hc11/ChangeLog b/sim/m68hc11/ChangeLog
index 6fe07e6..0b4e936 100644
--- a/sim/m68hc11/ChangeLog
+++ b/sim/m68hc11/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/m68hc11/configure b/sim/m68hc11/configure
index f3b2b1a..70d343f 100755
diff --git a/sim/mcore/ChangeLog b/sim/mcore/ChangeLog
index 42deadd..07c013d 100644
--- a/sim/mcore/ChangeLog
+++ b/sim/mcore/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/mcore/configure b/sim/mcore/configure
index a927f32..e929ba2 100755
diff --git a/sim/microblaze/ChangeLog b/sim/microblaze/ChangeLog
index dc6c81b..35bd241 100644
--- a/sim/microblaze/ChangeLog
+++ b/sim/microblaze/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/microblaze/configure b/sim/microblaze/configure
index a927f32..e929ba2 100755
diff --git a/sim/mips/ChangeLog b/sim/mips/ChangeLog
index 9d88694..0518a57 100644
--- a/sim/mips/ChangeLog
+++ b/sim/mips/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_SMP): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/mips/configure b/sim/mips/configure
index 9182055..d107d6a 100755
diff --git a/sim/mn10300/ChangeLog b/sim/mn10300/ChangeLog
index cc027ff..9e1318b 100644
--- a/sim/mn10300/ChangeLog
+++ b/sim/mn10300/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/mn10300/configure b/sim/mn10300/configure
index 73b5b21..99256e6 100755
diff --git a/sim/moxie/ChangeLog b/sim/moxie/ChangeLog
index 90d2dca..870f5ff 100644
--- a/sim/moxie/ChangeLog
+++ b/sim/moxie/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/moxie/configure b/sim/moxie/configure
index cd09528..9b3e431 100755
diff --git a/sim/msp430/ChangeLog b/sim/msp430/ChangeLog
index 050f317..cd1bec4 100644
--- a/sim/msp430/ChangeLog
+++ b/sim/msp430/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/msp430/configure b/sim/msp430/configure
index b5db5f9..514cce5 100755
diff --git a/sim/rl78/ChangeLog b/sim/rl78/ChangeLog
index 5c00f61..2959187 100644
--- a/sim/rl78/ChangeLog
+++ b/sim/rl78/ChangeLog
@@ -10,6 +10,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/rl78/configure b/sim/rl78/configure
index 7fb8300..669005f 100755
diff --git a/sim/rx/ChangeLog b/sim/rx/ChangeLog
index 74ad557..909e282 100644
--- a/sim/rx/ChangeLog
+++ b/sim/rx/ChangeLog
@@ -10,6 +10,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/rx/configure b/sim/rx/configure
index 515ccde..77af0a9 100755
diff --git a/sim/sh/ChangeLog b/sim/sh/ChangeLog
index 17b1923..df8317f 100644
--- a/sim/sh/ChangeLog
+++ b/sim/sh/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/sh/configure b/sim/sh/configure
index a927f32..e929ba2 100755
diff --git a/sim/sh64/ChangeLog b/sim/sh64/ChangeLog
index b90bc5f..8e6ef55 100644
--- a/sim/sh64/ChangeLog
+++ b/sim/sh64/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/sh64/configure b/sim/sh64/configure
index 21a4643..74ec293 100755
diff --git a/sim/v850/ChangeLog b/sim/v850/ChangeLog
index c3500f5..5a083e7 100644
--- a/sim/v850/ChangeLog
+++ b/sim/v850/ChangeLog
@@ -10,6 +10,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.