diff --git a/sim/aarch64/ChangeLog b/sim/aarch64/ChangeLog
index b4e6425..3e9826b 100644
--- a/sim/aarch64/ChangeLog
+++ b/sim/aarch64/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/aarch64/configure b/sim/aarch64/configure
index 0385962..74358fd 100755
diff --git a/sim/arm/ChangeLog b/sim/arm/ChangeLog
index 2d34e16..7220500 100644
--- a/sim/arm/ChangeLog
+++ b/sim/arm/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/arm/configure b/sim/arm/configure
index e929ba2..cf8a451 100755
diff --git a/sim/avr/ChangeLog b/sim/avr/ChangeLog
index c9def60..3ba38f3 100644
--- a/sim/avr/ChangeLog
+++ b/sim/avr/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/avr/configure b/sim/avr/configure
index a1ecf4a..eda7aab 100755
diff --git a/sim/bfin/ChangeLog b/sim/bfin/ChangeLog
index 8d0cc2b..ef177ad 100644
--- a/sim/bfin/ChangeLog
+++ b/sim/bfin/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/bfin/configure b/sim/bfin/configure
index d97ffd5..09a8e3a 100755
diff --git a/sim/common/ChangeLog b/sim/common/ChangeLog
index a19e56e..ae03459 100644
--- a/sim/common/ChangeLog
+++ b/sim/common/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* acinclude.m4 (SIM_AC_COMMON): Call SIM_AC_OPTION_ASSERT.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* acinclude.m4 (SIM_AC_COMMON): Delete sim_link_files and
 	sim_link_links.
 	(SIM_AC_OUTPUT): Delete AC_LINK_FILES call.
diff --git a/sim/common/acinclude.m4 b/sim/common/acinclude.m4
index d5b4b98..675c595 100644
--- a/sim/common/acinclude.m4
+++ b/sim/common/acinclude.m4
@@ -223,6 +223,7 @@ if test x"$silent" != x"yes" && test x"$sim_profile" != x""; then
 fi],[sim_profile="-DPROFILE=1 -DWITH_PROFILE=-1"])dnl
 AC_SUBST(sim_profile)
 
+SIM_AC_OPTION_ASSERT
 SIM_AC_OPTION_INLINE
 
 ACX_PKGVERSION([SIM])
diff --git a/sim/cr16/ChangeLog b/sim/cr16/ChangeLog
index b935412..bd7fb2a 100644
--- a/sim/cr16/ChangeLog
+++ b/sim/cr16/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/cr16/configure b/sim/cr16/configure
index 10de0a3..1d02641 100755
diff --git a/sim/cris/ChangeLog b/sim/cris/ChangeLog
index 0420390..2583d8b 100644
--- a/sim/cris/ChangeLog
+++ b/sim/cris/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/cris/configure b/sim/cris/configure
index 1f1793d..7b5d765 100755
diff --git a/sim/d10v/ChangeLog b/sim/d10v/ChangeLog
index ef3a844..20cde46 100644
--- a/sim/d10v/ChangeLog
+++ b/sim/d10v/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/d10v/configure b/sim/d10v/configure
index e929ba2..cf8a451 100755
diff --git a/sim/erc32/ChangeLog b/sim/erc32/ChangeLog
index a988972..2ff4bcc 100644
--- a/sim/erc32/ChangeLog
+++ b/sim/erc32/ChangeLog
@@ -14,6 +14,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/erc32/configure b/sim/erc32/configure
index 2344ad5..857e093 100755
diff --git a/sim/frv/ChangeLog b/sim/frv/ChangeLog
index ab37d0a..7be18a3 100644
--- a/sim/frv/ChangeLog
+++ b/sim/frv/ChangeLog
@@ -14,6 +14,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/frv/configure b/sim/frv/configure
index 8717177..7d1726f 100755
diff --git a/sim/ft32/ChangeLog b/sim/ft32/ChangeLog
index ebe6b2f..9d9fde5 100644
--- a/sim/ft32/ChangeLog
+++ b/sim/ft32/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/ft32/configure b/sim/ft32/configure
index 3d976b9..5d4ebc4 100755
diff --git a/sim/h8300/ChangeLog b/sim/h8300/ChangeLog
index eadf3ac..fa83702 100644
--- a/sim/h8300/ChangeLog
+++ b/sim/h8300/ChangeLog
@@ -14,6 +14,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/h8300/configure b/sim/h8300/configure
index 17c4e1d..8536049 100755
diff --git a/sim/iq2000/ChangeLog b/sim/iq2000/ChangeLog
index 90efcd4..f3872a0 100644
--- a/sim/iq2000/ChangeLog
+++ b/sim/iq2000/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/iq2000/configure b/sim/iq2000/configure
index d304c2d..a4b398d 100755
diff --git a/sim/lm32/ChangeLog b/sim/lm32/ChangeLog
index 5d8c586..3086517 100644
--- a/sim/lm32/ChangeLog
+++ b/sim/lm32/ChangeLog
@@ -14,6 +14,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/lm32/configure b/sim/lm32/configure
index 77608f1..7838a83 100755
diff --git a/sim/m32c/ChangeLog b/sim/m32c/ChangeLog
index c0df2e8..0f50701 100644
--- a/sim/m32c/ChangeLog
+++ b/sim/m32c/ChangeLog
@@ -14,6 +14,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/m32c/configure b/sim/m32c/configure
index f736b51..77515c2 100755
diff --git a/sim/m32r/ChangeLog b/sim/m32r/ChangeLog
index 272c9c2..1bc70e1 100644
--- a/sim/m32r/ChangeLog
+++ b/sim/m32r/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/m32r/configure b/sim/m32r/configure
index 4f68a42..492d3af 100755
diff --git a/sim/m68hc11/ChangeLog b/sim/m68hc11/ChangeLog
index 0b4e936..3c71597 100644
--- a/sim/m68hc11/ChangeLog
+++ b/sim/m68hc11/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/m68hc11/configure b/sim/m68hc11/configure
index 70d343f..d0328fe 100755
diff --git a/sim/mcore/ChangeLog b/sim/mcore/ChangeLog
index 07c013d..87a759a 100644
--- a/sim/mcore/ChangeLog
+++ b/sim/mcore/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/mcore/configure b/sim/mcore/configure
index e929ba2..cf8a451 100755
diff --git a/sim/microblaze/ChangeLog b/sim/microblaze/ChangeLog
index 35bd241..f9c6ad4 100644
--- a/sim/microblaze/ChangeLog
+++ b/sim/microblaze/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/microblaze/configure b/sim/microblaze/configure
index e929ba2..cf8a451 100755
diff --git a/sim/mips/ChangeLog b/sim/mips/ChangeLog
index 0518a57..2de22d1 100644
--- a/sim/mips/ChangeLog
+++ b/sim/mips/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_SMP): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/mips/configure b/sim/mips/configure
index d107d6a..3e792d2 100755
diff --git a/sim/mn10300/ChangeLog b/sim/mn10300/ChangeLog
index 9e1318b..f8c3892 100644
--- a/sim/mn10300/ChangeLog
+++ b/sim/mn10300/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/mn10300/configure b/sim/mn10300/configure
index 99256e6..a9baee6 100755
diff --git a/sim/moxie/ChangeLog b/sim/moxie/ChangeLog
index 870f5ff..605c9c4 100644
--- a/sim/moxie/ChangeLog
+++ b/sim/moxie/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/moxie/configure b/sim/moxie/configure
index 9b3e431..514ea40 100755
diff --git a/sim/msp430/ChangeLog b/sim/msp430/ChangeLog
index cd1bec4..5d5e7ce 100644
--- a/sim/msp430/ChangeLog
+++ b/sim/msp430/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/msp430/configure b/sim/msp430/configure
index 514cce5..5409bac 100755
diff --git a/sim/rl78/ChangeLog b/sim/rl78/ChangeLog
index 2959187..6707b6c 100644
--- a/sim/rl78/ChangeLog
+++ b/sim/rl78/ChangeLog
@@ -14,6 +14,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/rl78/configure b/sim/rl78/configure
index 669005f..64e3f31 100755
diff --git a/sim/rx/ChangeLog b/sim/rx/ChangeLog
index 909e282..ecc5a37 100644
--- a/sim/rx/ChangeLog
+++ b/sim/rx/ChangeLog
@@ -14,6 +14,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/rx/configure b/sim/rx/configure
index 77af0a9..c8767cf 100755
diff --git a/sim/sh/ChangeLog b/sim/sh/ChangeLog
index df8317f..d897ae0 100644
--- a/sim/sh/ChangeLog
+++ b/sim/sh/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/sh/configure b/sim/sh/configure
index e929ba2..cf8a451 100755
diff --git a/sim/sh64/ChangeLog b/sim/sh64/ChangeLog
index 8e6ef55..0c47bec 100644
--- a/sim/sh64/ChangeLog
+++ b/sim/sh64/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/sh64/configure b/sim/sh64/configure
index 74ec293..19d76f1 100755
diff --git a/sim/v850/ChangeLog b/sim/v850/ChangeLog
index 5a083e7..35c4108 100644
--- a/sim/v850/ChangeLog
+++ b/sim/v850/ChangeLog
@@ -14,6 +14,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.