diff --git a/sim/aarch64/ChangeLog b/sim/aarch64/ChangeLog
index 3e9826b..609a72c 100644
--- a/sim/aarch64/ChangeLog
+++ b/sim/aarch64/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/aarch64/configure b/sim/aarch64/configure
index 74358fd..72255f8 100755
diff --git a/sim/aarch64/configure.ac b/sim/aarch64/configure.ac
index c6e3256..5536343 100644
--- a/sim/aarch64/configure.ac
+++ b/sim/aarch64/configure.ac
@@ -31,7 +31,6 @@ SIM_AC_OPTION_ENDIAN
 ## common core does not support this, so we opt for non-strict
 ## alignment instead.
 SIM_AC_OPTION_ALIGNMENT(NONSTRICT_ALIGNMENT,NONSTRICT_ALIGNMENT)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/arm/ChangeLog b/sim/arm/ChangeLog
index 7220500..36dcc11 100644
--- a/sim/arm/ChangeLog
+++ b/sim/arm/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/arm/configure b/sim/arm/configure
index cf8a451..b4e6c82 100755
diff --git a/sim/arm/configure.ac b/sim/arm/configure.ac
index 6d5622e..a93418f 100644
--- a/sim/arm/configure.ac
+++ b/sim/arm/configure.ac
@@ -7,7 +7,6 @@ SIM_AC_COMMON
 
 SIM_AC_OPTION_ENDIAN
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/avr/ChangeLog b/sim/avr/ChangeLog
index 3ba38f3..df93df5 100644
--- a/sim/avr/ChangeLog
+++ b/sim/avr/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/avr/configure b/sim/avr/configure
index eda7aab..b43b3ed 100755
diff --git a/sim/avr/configure.ac b/sim/avr/configure.ac
index 184ccb5..54ac06f 100644
--- a/sim/avr/configure.ac
+++ b/sim/avr/configure.ac
@@ -7,7 +7,6 @@ SIM_AC_COMMON
 
 SIM_AC_OPTION_ENDIAN(LITTLE)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/bfin/ChangeLog b/sim/bfin/ChangeLog
index ef177ad..c41b989 100644
--- a/sim/bfin/ChangeLog
+++ b/sim/bfin/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/bfin/configure b/sim/bfin/configure
index 09a8e3a..bfdb362 100755
diff --git a/sim/bfin/configure.ac b/sim/bfin/configure.ac
index 711cae4..5b8a4c2 100644
--- a/sim/bfin/configure.ac
+++ b/sim/bfin/configure.ac
@@ -8,7 +8,6 @@ SIM_AC_COMMON
 SIM_AC_OPTION_ENDIAN(LITTLE)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
 SIM_AC_OPTION_DEFAULT_MODEL(bf537)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_WARNINGS
 SIM_AC_OPTION_HARDWARE(yes,,\
 	bfin_cec \
diff --git a/sim/common/ChangeLog b/sim/common/ChangeLog
index ae03459..fee3dee 100644
--- a/sim/common/ChangeLog
+++ b/sim/common/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* acinclude.m4 (SIM_AC_COMMON): Call SIM_AC_OPTION_ENVIRONMENT.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* acinclude.m4 (SIM_AC_COMMON): Call SIM_AC_OPTION_ASSERT.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/common/acinclude.m4 b/sim/common/acinclude.m4
index 675c595..9b62bcd 100644
--- a/sim/common/acinclude.m4
+++ b/sim/common/acinclude.m4
@@ -224,6 +224,7 @@ fi],[sim_profile="-DPROFILE=1 -DWITH_PROFILE=-1"])dnl
 AC_SUBST(sim_profile)
 
 SIM_AC_OPTION_ASSERT
+SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_INLINE
 
 ACX_PKGVERSION([SIM])
diff --git a/sim/cr16/ChangeLog b/sim/cr16/ChangeLog
index bd7fb2a..1e50f15 100644
--- a/sim/cr16/ChangeLog
+++ b/sim/cr16/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/cr16/configure b/sim/cr16/configure
index 1d02641..9c62b97 100755
diff --git a/sim/cr16/configure.ac b/sim/cr16/configure.ac
index 8ce247d..b85b17d 100644
--- a/sim/cr16/configure.ac
+++ b/sim/cr16/configure.ac
@@ -7,7 +7,6 @@ SIM_AC_COMMON
 
 SIM_AC_OPTION_ENDIAN(LITTLE)
 SIM_AC_OPTION_ALIGNMENT(NONSTRICT_ALIGNMENT)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/cris/ChangeLog b/sim/cris/ChangeLog
index 2583d8b..e3f4b6d 100644
--- a/sim/cris/ChangeLog
+++ b/sim/cris/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/cris/configure b/sim/cris/configure
index 7b5d765..e63e0f6 100755
diff --git a/sim/cris/configure.ac b/sim/cris/configure.ac
index 4e9455a..beae702 100644
--- a/sim/cris/configure.ac
+++ b/sim/cris/configure.ac
@@ -16,7 +16,6 @@ SIM_AC_OPTION_HARDWARE(yes,,rv cris cris_900000xx)
 
 # The default model shouldn't matter as long as there's a BFD.
 SIM_AC_OPTION_DEFAULT_MODEL(crisv32)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_CGEN_MAINT
 
 SIM_AC_OUTPUT
diff --git a/sim/d10v/ChangeLog b/sim/d10v/ChangeLog
index 20cde46..1a89f9e 100644
--- a/sim/d10v/ChangeLog
+++ b/sim/d10v/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/d10v/configure b/sim/d10v/configure
index cf8a451..b4e6c82 100755
diff --git a/sim/d10v/configure.ac b/sim/d10v/configure.ac
index 6d5622e..a93418f 100644
--- a/sim/d10v/configure.ac
+++ b/sim/d10v/configure.ac
@@ -7,7 +7,6 @@ SIM_AC_COMMON
 
 SIM_AC_OPTION_ENDIAN
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/erc32/ChangeLog b/sim/erc32/ChangeLog
index 2ff4bcc..2a3a34a 100644
--- a/sim/erc32/ChangeLog
+++ b/sim/erc32/ChangeLog
@@ -18,6 +18,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/erc32/configure b/sim/erc32/configure
index 857e093..962bd07 100755
diff --git a/sim/frv/ChangeLog b/sim/frv/ChangeLog
index 7be18a3..b6c8ac1 100644
--- a/sim/frv/ChangeLog
+++ b/sim/frv/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/frv/configure b/sim/frv/configure
index 7d1726f..d9dc957 100755
diff --git a/sim/frv/configure.ac b/sim/frv/configure.ac
index bb5f459..cfbe29a 100644
--- a/sim/frv/configure.ac
+++ b/sim/frv/configure.ac
@@ -9,7 +9,6 @@ SIM_AC_OPTION_ENDIAN(BIG)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT)
 SIM_AC_OPTION_SCACHE(16384)
 SIM_AC_OPTION_DEFAULT_MODEL(fr500)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_CGEN_MAINT
 
 #
diff --git a/sim/ft32/ChangeLog b/sim/ft32/ChangeLog
index 9d9fde5..6ec12cb 100644
--- a/sim/ft32/ChangeLog
+++ b/sim/ft32/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/ft32/configure b/sim/ft32/configure
index 5d4ebc4..c01c48e 100755
diff --git a/sim/ft32/configure.ac b/sim/ft32/configure.ac
index 8aadb5f..279b661 100644
--- a/sim/ft32/configure.ac
+++ b/sim/ft32/configure.ac
@@ -7,7 +7,6 @@ SIM_AC_COMMON
 
 SIM_AC_OPTION_ENDIAN(LITTLE)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/h8300/ChangeLog b/sim/h8300/ChangeLog
index fa83702..a29bad6 100644
--- a/sim/h8300/ChangeLog
+++ b/sim/h8300/ChangeLog
@@ -18,6 +18,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/h8300/configure b/sim/h8300/configure
index 8536049..b4d3b8b 100755
diff --git a/sim/iq2000/ChangeLog b/sim/iq2000/ChangeLog
index f3872a0..9440f74 100644
--- a/sim/iq2000/ChangeLog
+++ b/sim/iq2000/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/iq2000/configure b/sim/iq2000/configure
index a4b398d..6cf83e7 100755
diff --git a/sim/iq2000/configure.ac b/sim/iq2000/configure.ac
index 0d6b116..7424e4d 100644
--- a/sim/iq2000/configure.ac
+++ b/sim/iq2000/configure.ac
@@ -9,7 +9,6 @@ SIM_AC_OPTION_ENDIAN(BIG)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT)
 SIM_AC_OPTION_SCACHE(16384)
 SIM_AC_OPTION_DEFAULT_MODEL(iq2000)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_CGEN_MAINT
 
 SIM_AC_OPTION_HARDWARE(yes,"","")
diff --git a/sim/lm32/ChangeLog b/sim/lm32/ChangeLog
index 3086517..e427101 100644
--- a/sim/lm32/ChangeLog
+++ b/sim/lm32/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/lm32/configure b/sim/lm32/configure
index 7838a83..d40a491 100755
diff --git a/sim/lm32/configure.ac b/sim/lm32/configure.ac
index a162f29..e928885 100644
--- a/sim/lm32/configure.ac
+++ b/sim/lm32/configure.ac
@@ -9,7 +9,6 @@ SIM_AC_OPTION_ENDIAN(BIG)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
 SIM_AC_OPTION_SCACHE(16384)
 SIM_AC_OPTION_DEFAULT_MODEL(lm32)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_CGEN_MAINT
 SIM_AC_OPTION_HARDWARE(yes,,lm32cpu lm32timer lm32uart)
 
diff --git a/sim/m32c/ChangeLog b/sim/m32c/ChangeLog
index 0f50701..db383c9 100644
--- a/sim/m32c/ChangeLog
+++ b/sim/m32c/ChangeLog
@@ -18,6 +18,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/m32c/configure b/sim/m32c/configure
index 77515c2..b0c2bb2 100755
diff --git a/sim/m32r/ChangeLog b/sim/m32r/ChangeLog
index 1bc70e1..d33c5fe 100644
--- a/sim/m32r/ChangeLog
+++ b/sim/m32r/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/m32r/configure b/sim/m32r/configure
index 492d3af..49f33f4 100755
diff --git a/sim/m32r/configure.ac b/sim/m32r/configure.ac
index 4395020..d9c7d62 100644
--- a/sim/m32r/configure.ac
+++ b/sim/m32r/configure.ac
@@ -9,7 +9,6 @@ SIM_AC_OPTION_ENDIAN(BIG)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT)
 SIM_AC_OPTION_SCACHE(16384)
 SIM_AC_OPTION_DEFAULT_MODEL(m32r/d)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_CGEN_MAINT
 
   case "${target_alias}" in
diff --git a/sim/m68hc11/ChangeLog b/sim/m68hc11/ChangeLog
index 3c71597..b9b16a9 100644
--- a/sim/m68hc11/ChangeLog
+++ b/sim/m68hc11/ChangeLog
@@ -8,6 +8,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/m68hc11/configure b/sim/m68hc11/configure
index d0328fe..22a65eb 100755
diff --git a/sim/mcore/ChangeLog b/sim/mcore/ChangeLog
index 87a759a..d93f895 100644
--- a/sim/mcore/ChangeLog
+++ b/sim/mcore/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/mcore/configure b/sim/mcore/configure
index cf8a451..b4e6c82 100755
diff --git a/sim/mcore/configure.ac b/sim/mcore/configure.ac
index 6d5622e..a93418f 100644
--- a/sim/mcore/configure.ac
+++ b/sim/mcore/configure.ac
@@ -7,7 +7,6 @@ SIM_AC_COMMON
 
 SIM_AC_OPTION_ENDIAN
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/microblaze/ChangeLog b/sim/microblaze/ChangeLog
index f9c6ad4..4af462b 100644
--- a/sim/microblaze/ChangeLog
+++ b/sim/microblaze/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/microblaze/configure b/sim/microblaze/configure
index cf8a451..b4e6c82 100755
diff --git a/sim/microblaze/configure.ac b/sim/microblaze/configure.ac
index 6d5622e..a93418f 100644
--- a/sim/microblaze/configure.ac
+++ b/sim/microblaze/configure.ac
@@ -7,7 +7,6 @@ SIM_AC_COMMON
 
 SIM_AC_OPTION_ENDIAN
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/mips/ChangeLog b/sim/mips/ChangeLog
index 2de22d1..0cfc8d5 100644
--- a/sim/mips/ChangeLog
+++ b/sim/mips/ChangeLog
@@ -8,6 +8,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_SMP): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/mips/configure b/sim/mips/configure
index 3e792d2..9fa2866 100755
diff --git a/sim/mn10300/ChangeLog b/sim/mn10300/ChangeLog
index f8c3892..bd37aef 100644
--- a/sim/mn10300/ChangeLog
+++ b/sim/mn10300/ChangeLog
@@ -8,6 +8,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/mn10300/configure b/sim/mn10300/configure
index a9baee6..21e4cb3 100755
diff --git a/sim/moxie/ChangeLog b/sim/moxie/ChangeLog
index 605c9c4..d1f57f9 100644
--- a/sim/moxie/ChangeLog
+++ b/sim/moxie/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/moxie/configure b/sim/moxie/configure
index 514ea40..b43cb53 100755
diff --git a/sim/moxie/configure.ac b/sim/moxie/configure.ac
index d930208..afbeef9 100644
--- a/sim/moxie/configure.ac
+++ b/sim/moxie/configure.ac
@@ -9,7 +9,6 @@ AC_CHECK_TOOL(DTC, dtc)
 
 SIM_AC_OPTION_ENDIAN(BIG)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/msp430/ChangeLog b/sim/msp430/ChangeLog
index 5d5e7ce..277126f 100644
--- a/sim/msp430/ChangeLog
+++ b/sim/msp430/ChangeLog
@@ -8,6 +8,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/msp430/configure b/sim/msp430/configure
index 5409bac..5b62f55 100755
diff --git a/sim/rl78/ChangeLog b/sim/rl78/ChangeLog
index 6707b6c..2f76725 100644
--- a/sim/rl78/ChangeLog
+++ b/sim/rl78/ChangeLog
@@ -18,6 +18,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/rl78/configure b/sim/rl78/configure
index 64e3f31..86e5db8 100755
diff --git a/sim/rx/ChangeLog b/sim/rx/ChangeLog
index ecc5a37..461b4cc 100644
--- a/sim/rx/ChangeLog
+++ b/sim/rx/ChangeLog
@@ -18,6 +18,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/rx/configure b/sim/rx/configure
index c8767cf..0125ce7 100755
diff --git a/sim/sh/ChangeLog b/sim/sh/ChangeLog
index d897ae0..76b2775 100644
--- a/sim/sh/ChangeLog
+++ b/sim/sh/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/sh/configure b/sim/sh/configure
index cf8a451..b4e6c82 100755
diff --git a/sim/sh/configure.ac b/sim/sh/configure.ac
index 6d5622e..a93418f 100644
--- a/sim/sh/configure.ac
+++ b/sim/sh/configure.ac
@@ -7,7 +7,6 @@ SIM_AC_COMMON
 
 SIM_AC_OPTION_ENDIAN
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT,STRICT_ALIGNMENT)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_WARNINGS
 
 SIM_AC_OUTPUT
diff --git a/sim/sh64/ChangeLog b/sim/sh64/ChangeLog
index 0c47bec..81cc8a3 100644
--- a/sim/sh64/ChangeLog
+++ b/sim/sh64/ChangeLog
@@ -1,5 +1,10 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure: Regenerate.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/sh64/configure b/sim/sh64/configure
index 19d76f1..88b9255 100755
diff --git a/sim/sh64/configure.ac b/sim/sh64/configure.ac
index 818af12..04bcd56 100644
--- a/sim/sh64/configure.ac
+++ b/sim/sh64/configure.ac
@@ -9,7 +9,6 @@ SIM_AC_OPTION_ENDIAN([], BIG)
 SIM_AC_OPTION_ALIGNMENT(STRICT_ALIGNMENT)
 SIM_AC_OPTION_SCACHE(16384)
 SIM_AC_OPTION_DEFAULT_MODEL(sh5)
-SIM_AC_OPTION_ENVIRONMENT
 SIM_AC_OPTION_CGEN_MAINT
 
 SIM_AC_OPTION_HARDWARE(yes,"","")
diff --git a/sim/v850/ChangeLog b/sim/v850/ChangeLog
index 35c4108..47ae875 100644
--- a/sim/v850/ChangeLog
+++ b/sim/v850/ChangeLog
@@ -18,6 +18,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.