diff --git a/sim/aarch64/ChangeLog b/sim/aarch64/ChangeLog
index 609a72c..5cac849 100644
--- a/sim/aarch64/ChangeLog
+++ b/sim/aarch64/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/aarch64/configure b/sim/aarch64/configure
index 72255f8..70ca0d5 100755
diff --git a/sim/arm/ChangeLog b/sim/arm/ChangeLog
index 36dcc11..1e99d0c 100644
--- a/sim/arm/ChangeLog
+++ b/sim/arm/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/arm/configure b/sim/arm/configure
index b4e6c82..c16d784 100755
diff --git a/sim/avr/ChangeLog b/sim/avr/ChangeLog
index df93df5..e47993e 100644
--- a/sim/avr/ChangeLog
+++ b/sim/avr/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/avr/configure b/sim/avr/configure
index b43b3ed..37f2d4c 100755
diff --git a/sim/bfin/ChangeLog b/sim/bfin/ChangeLog
index c41b989..fcb14ae 100644
--- a/sim/bfin/ChangeLog
+++ b/sim/bfin/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/bfin/configure b/sim/bfin/configure
index bfdb362..7d64751 100755
diff --git a/sim/common/ChangeLog b/sim/common/ChangeLog
index fee3dee..8afffa4 100644
--- a/sim/common/ChangeLog
+++ b/sim/common/ChangeLog
@@ -1,5 +1,12 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* acinclude.m4 (SIM_AC_OPTION_PACKAGES): Delete.
+	* configure: Regenerate.
+	* Make-common.in (SIM_PACKAGES): Delete.
+	(CONFIG_CFLAGS): Delete $(SIM_PACKAGES).
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* acinclude.m4 (SIM_AC_COMMON): Call SIM_AC_OPTION_ENVIRONMENT.
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
diff --git a/sim/common/Make-common.in b/sim/common/Make-common.in
index 72b095a..49401dd 100644
--- a/sim/common/Make-common.in
+++ b/sim/common/Make-common.in
@@ -90,7 +90,6 @@ SIM_HW_CFLAGS = @sim_hw_cflags@
 SIM_HW_OBJS = @sim_hw_objs@
 SIM_HW = @sim_hw@
 SIM_INLINE = @sim_inline@
-SIM_PACKAGES = @sim_packages@
 SIM_RESERVED_BITS = @sim_reserved_bits@
 SIM_SCACHE = @sim_scache@
 SIM_SMP = @sim_smp@
@@ -237,7 +236,6 @@ CONFIG_CFLAGS = \
 	$(SIM_FLOAT) \
 	$(SIM_HW_CFLAGS) \
 	$(SIM_INLINE) \
-	$(SIM_PACKAGES) \
 	$(SIM_RESERVED_BITS) \
 	$(SIM_SCACHE) \
 	$(SIM_SMP) \
diff --git a/sim/common/acinclude.m4 b/sim/common/acinclude.m4
index 9b62bcd..16e6d5c 100644
--- a/sim/common/acinclude.m4
+++ b/sim/common/acinclude.m4
@@ -647,33 +647,6 @@ fi])dnl
 AC_SUBST(sim_inline)
 
 
-AC_DEFUN([SIM_AC_OPTION_PACKAGES],
-[
-AC_ARG_ENABLE(sim-packages,
-[AS_HELP_STRING([--enable-sim-packages=list],
-		[Specify the packages to be included in the build])],
-[packages=disklabel
-case "${enableval}" in
-  yes)	;;
-  no)	AC_MSG_ERROR("List of packages must be specified for --enable-sim-packages"); packages="";;
-  ,*)   packages="${packages}${enableval}";;
-  *,)   packages="${enableval}${packages}";;
-  *)	packages="${enableval}"'';;
-esac
-sim_pk_src=`echo $packages | sed -e 's/,/.c pk_/g' -e 's/^/pk_/' -e 's/$/.c/'`
-sim_pk_obj=`echo $sim_pk_src | sed -e 's/\.c/.o/g'`
-if test x"$silent" != x"yes" && test x"$packages" != x""; then
-  echo "Setting packages to $sim_pk_src, $sim_pk_obj"
-fi],[packages=disklabel
-sim_pk_src=`echo $packages | sed -e 's/,/.c pk_/g' -e 's/^/pk_/' -e 's/$/.c/'`
-sim_pk_obj=`echo $sim_pk_src | sed -e 's/\.c/.o/g'`
-if test x"$silent" != x"yes"; then
-  echo "Setting packages to $sim_pk_src, $sim_pk_obj"
-fi])dnl
-])
-AC_SUBST(sim_packages)
-
-
 AC_DEFUN([SIM_AC_OPTION_RESERVED_BITS],
 [
 default_sim_reserved_bits="ifelse([$1],,1,[$1])"
diff --git a/sim/common/configure b/sim/common/configure
index ccb6ce5..a02b129 100755
diff --git a/sim/cr16/ChangeLog b/sim/cr16/ChangeLog
index 1e50f15..7c2fe22 100644
--- a/sim/cr16/ChangeLog
+++ b/sim/cr16/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/cr16/configure b/sim/cr16/configure
index 9c62b97..107d9a6 100755
diff --git a/sim/cris/ChangeLog b/sim/cris/ChangeLog
index e3f4b6d..f92e089 100644
--- a/sim/cris/ChangeLog
+++ b/sim/cris/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/cris/configure b/sim/cris/configure
index e63e0f6..7e79cdf 100755
diff --git a/sim/d10v/ChangeLog b/sim/d10v/ChangeLog
index 1a89f9e..09516f4 100644
--- a/sim/d10v/ChangeLog
+++ b/sim/d10v/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/d10v/configure b/sim/d10v/configure
index b4e6c82..c16d784 100755
diff --git a/sim/erc32/ChangeLog b/sim/erc32/ChangeLog
index 2a3a34a..aedefb8 100644
--- a/sim/erc32/ChangeLog
+++ b/sim/erc32/ChangeLog
@@ -22,6 +22,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/erc32/configure b/sim/erc32/configure
index 962bd07..e7a4840 100755
diff --git a/sim/frv/ChangeLog b/sim/frv/ChangeLog
index b6c8ac1..4382806 100644
--- a/sim/frv/ChangeLog
+++ b/sim/frv/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/frv/configure b/sim/frv/configure
index d9dc957..fb708ee 100755
diff --git a/sim/ft32/ChangeLog b/sim/ft32/ChangeLog
index 6ec12cb..eba0b15 100644
--- a/sim/ft32/ChangeLog
+++ b/sim/ft32/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/ft32/configure b/sim/ft32/configure
index c01c48e..557b4b2 100755
diff --git a/sim/h8300/ChangeLog b/sim/h8300/ChangeLog
index a29bad6..a3cde14 100644
--- a/sim/h8300/ChangeLog
+++ b/sim/h8300/ChangeLog
@@ -22,6 +22,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/h8300/configure b/sim/h8300/configure
index b4d3b8b..d01758c 100755
diff --git a/sim/igen/ChangeLog b/sim/igen/ChangeLog
index 1bb33c6..0da239a 100644
--- a/sim/igen/ChangeLog
+++ b/sim/igen/ChangeLog
@@ -6,6 +6,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-04  Mike Frysinger  <vapier@gentoo.org>
 
 	* configure: Regenerate.
diff --git a/sim/igen/configure b/sim/igen/configure
index 2264686..52d4bdb 100755
diff --git a/sim/iq2000/ChangeLog b/sim/iq2000/ChangeLog
index 9440f74..c715414 100644
--- a/sim/iq2000/ChangeLog
+++ b/sim/iq2000/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/iq2000/configure b/sim/iq2000/configure
index 6cf83e7..5dfb6d3 100755
diff --git a/sim/lm32/ChangeLog b/sim/lm32/ChangeLog
index e427101..86c0a5b 100644
--- a/sim/lm32/ChangeLog
+++ b/sim/lm32/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/lm32/configure b/sim/lm32/configure
index d40a491..c2f9952 100755
diff --git a/sim/m32c/ChangeLog b/sim/m32c/ChangeLog
index db383c9..2b9401f 100644
--- a/sim/m32c/ChangeLog
+++ b/sim/m32c/ChangeLog
@@ -22,6 +22,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/m32c/configure b/sim/m32c/configure
index b0c2bb2..2ab1753 100755
diff --git a/sim/m32r/ChangeLog b/sim/m32r/ChangeLog
index d33c5fe..d7a3ffa 100644
--- a/sim/m32r/ChangeLog
+++ b/sim/m32r/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/m32r/configure b/sim/m32r/configure
index 49f33f4..44a4c72 100755
diff --git a/sim/m68hc11/ChangeLog b/sim/m68hc11/ChangeLog
index b9b16a9..c0e4ff1 100644
--- a/sim/m68hc11/ChangeLog
+++ b/sim/m68hc11/ChangeLog
@@ -12,6 +12,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/m68hc11/configure b/sim/m68hc11/configure
index 22a65eb..9c712f0 100755
diff --git a/sim/mcore/ChangeLog b/sim/mcore/ChangeLog
index d93f895..1c6ba2d 100644
--- a/sim/mcore/ChangeLog
+++ b/sim/mcore/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/mcore/configure b/sim/mcore/configure
index b4e6c82..c16d784 100755
diff --git a/sim/microblaze/ChangeLog b/sim/microblaze/ChangeLog
index 4af462b..aedefcb 100644
--- a/sim/microblaze/ChangeLog
+++ b/sim/microblaze/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/microblaze/configure b/sim/microblaze/configure
index b4e6c82..c16d784 100755
diff --git a/sim/mips/ChangeLog b/sim/mips/ChangeLog
index 0cfc8d5..4ce0a70 100644
--- a/sim/mips/ChangeLog
+++ b/sim/mips/ChangeLog
@@ -12,6 +12,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_SMP): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/mips/configure b/sim/mips/configure
index 9fa2866..2b82ec7 100755
diff --git a/sim/mn10300/ChangeLog b/sim/mn10300/ChangeLog
index bd37aef..095ff39 100644
--- a/sim/mn10300/ChangeLog
+++ b/sim/mn10300/ChangeLog
@@ -12,6 +12,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/mn10300/configure b/sim/mn10300/configure
index 21e4cb3..027f3b33 100755
diff --git a/sim/moxie/ChangeLog b/sim/moxie/ChangeLog
index d1f57f9..ce0644e 100644
--- a/sim/moxie/ChangeLog
+++ b/sim/moxie/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/moxie/configure b/sim/moxie/configure
index b43cb53..9ba20fa 100755
diff --git a/sim/msp430/ChangeLog b/sim/msp430/ChangeLog
index 277126f..7e88111 100644
--- a/sim/msp430/ChangeLog
+++ b/sim/msp430/ChangeLog
@@ -12,6 +12,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/msp430/configure b/sim/msp430/configure
index 5b62f55..f7f3419 100755
diff --git a/sim/ppc/ChangeLog b/sim/ppc/ChangeLog
index 59a062b..c8ecc03 100644
--- a/sim/ppc/ChangeLog
+++ b/sim/ppc/ChangeLog
@@ -4,6 +4,10 @@
 
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac: Delete --enable-sim-regparm and sim_regparm,
 	and --enable-sim-stdcall and sim_stdcall.
 	* configure: Regenerate.
diff --git a/sim/ppc/configure b/sim/ppc/configure
index 3dc36ff..a77265d 100755
diff --git a/sim/rl78/ChangeLog b/sim/rl78/ChangeLog
index 2f76725..5a0842b 100644
--- a/sim/rl78/ChangeLog
+++ b/sim/rl78/ChangeLog
@@ -22,6 +22,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/rl78/configure b/sim/rl78/configure
index 86e5db8..aa2f763 100755
diff --git a/sim/rx/ChangeLog b/sim/rx/ChangeLog
index 461b4cc..d7dae81 100644
--- a/sim/rx/ChangeLog
+++ b/sim/rx/ChangeLog
@@ -22,6 +22,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.
diff --git a/sim/rx/configure b/sim/rx/configure
index 0125ce7..40d8faf 100755
diff --git a/sim/sh/ChangeLog b/sim/sh/ChangeLog
index 76b2775..7ed89f9 100644
--- a/sim/sh/ChangeLog
+++ b/sim/sh/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/sh/configure b/sim/sh/configure
index b4e6c82..c16d784 100755
diff --git a/sim/sh64/ChangeLog b/sim/sh64/ChangeLog
index 81cc8a3..833e546 100644
--- a/sim/sh64/ChangeLog
+++ b/sim/sh64/ChangeLog
@@ -1,5 +1,9 @@
 2016-01-10  Mike Frysinger  <vapier@gentoo.org>
 
+	* configure: Regenerate.
+
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
 	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
 	* configure: Regenerate.
 
diff --git a/sim/sh64/configure b/sim/sh64/configure
index 88b9255..9a2f7bf 100755
diff --git a/sim/v850/ChangeLog b/sim/v850/ChangeLog
index 47ae875..2f08fa6 100644
--- a/sim/v850/ChangeLog
+++ b/sim/v850/ChangeLog
@@ -22,6 +22,10 @@
 
 	* configure: Regenerate.
 
+2016-01-10  Mike Frysinger  <vapier@gentoo.org>
+
+	* configure: Regenerate.
+
 2016-01-09  Mike Frysinger  <vapier@gentoo.org>
 
 	* config.in, configure: Regenerate.